查询即将到期的 License 列表

更新时间不可用

查询指定 PID 下即将到期的 License 列表。

GET
https://api.sd-rtn.com/dabiz/license/v3/projects/{appId}/pids/{pid}/expiringLicenses

能正常使用 License 后,你可以调用 expiringLicense 接口查询即将到期的 License 列表。

鉴权

Basic Auth

发送 HTTP 请求时,你需要通过 Basic HTTP 认证,并将生成的凭证填入 HTTP 请求头部的 Authorization 字段。具体生成 Authorization 字段的方法请参考实现 HTTP 基本认证。

路径参数

appIdstring
必填

你的声网项目使用的 App ID。

pidstring
必填

由 SKU、有效期、品类定义的 License 激活标识。需要和 active 接口中传入的 pid 一致。

查询参数

pageinteger

(可选)分页页码。默认值为 1。

sizeinteger

(可选)每页查询的 License 数量。默认值为 100,最大值为 100。

expiringDayinteger
必填

将要过期的天数,可设为如下值:

  • 60: 60 天。
  • 90: 90 天。

服务器会返回即将在设置的天数内过期的 License 信息。不会返回已经过期的 License 信息。

响应

请求成功。

响应 Body

字段

请求示例

Example Request
curl --request GET \
  --url "https://api.sd-rtn.com/dabiz/license/v3/projects/:appId/pids/:pid/expiringLicenses?expiringDay=60" \
  --header 'Authorization: Basic <credentials>'

响应示例

{
  "code": 200,
  "data": {
    "count": 1,
    "list": [
      {
        "license": "698AxxxxxxxxxxxxxxxxxxxxxxxxEDDB0",
        "licenseKey": "xxxx",
        "activeTime": "2024-12-02T08:15:39Z",
        "expireTime": "2024-12-05T08:15:39Z"
      }
    ]
  }
}